### Function

# EDataServer WebDAVPropstatTraverseFunc

since: 3.26

#### Declaration

    gboolean
    (* EWebDAVPropstatTraverseFunc) (
      EWebDAVSession* webdav,
      xmlNode* prop_node,
      const GUri* request_uri,
      const gchar* href,
      guint status_code,
      gpointer user_data
    )

#### Description [src]

A callback function for e_webdav_session_propfind_sync(), `e_webdav_session_report_sync()` and other XML response with DAV:propstat elements traversal functions.

The `prop_node` points to the actual property (prop) node and it can be examined with e_xml_find_child(), `e_xml_find_children_nodes()` and other provided XML helper functions.

Available since: 3.26

#### Parameters

`webdav`

  Type: `EWebDAVSession`

  An `EWebDAVSession`.

  The data is owned by the caller of the function.

`prop_node`

  Type: `xmlNode`

  An #xmlNode.

  The data is owned by the caller of the function.

`request_uri`

  Type: `GUri`

  A `GUri`, containing the request URI, maybe redirected by the server.

  The data is owned by the caller of the function.

`href`

  Type: `const gchar*`

  A full URI to which the property belongs, or `NULL`, when not found.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`status_code`

  Type: `guint`

  An HTTP status code for this property.

`user_data`

  Type: `gpointer`

  User data, as passed to e_webdav_session_propfind_sync().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to continue traversal of the returned response, `FALSE` otherwise.